###############################################################################
#
# (C) Copyright International Business Machines Corporation, 2009, 2013. 
#
# IBM hereby grants permission, to those obtaining a copy of these materials 
# to use, copy and modify the materials solely for use in the implementation of 
# DFDL processors. 
# 
# THESE MATERIALS ARE PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND.  
#
###############################################################################
# NLS_ENCODING=UNICODE
#NLS_MESSAGEFORMAT_VAR

##############################################################################
#
# DFDL model error message should have error codes in the 2000-2999 range
#
##############################################################################

##############################################################################
# DFDL schema loader error messages range 2000-2049
##############################################################################
CTDM2000E = CTDM2000E : Cannot create format annotation properties: property ''{0}'' component ''{1}''
CTDM2001E = CTDM2001E : The following error was encountered while saving the XSD file ''{0}'': ''{1}''
CTDM2002E = CTDM2002E : The following error was encountered while loading the XSD file ''{0}'': ''{1}''

##############################################################################
# DFDL schema serializer error messages range 2050-2099
##############################################################################
CTDM2050E = CTDM2050E : The following error was encountered while serializing the property ''{0}'' on element ''{1}'': ''{2}''

##############################################################################
# Other DFDL schema error messages range 2100-2199
##############################################################################
CTDM2101E = CTDM2101E : DFDL namespace prefix is bound to the invalid namespace ''{0}''
CTDM2102E = CTDM2102E : Mixed content is not allowed for the complex type ''{0}''.

##############################################################################
# DFDL format property error messages range 2200-2999
##############################################################################
CTDM2201E = CTDM2201E : DFDL property is not expected. Property ''{0}'', object ''{1}''.
CTDM2202E = CTDM2202E : DFDL property value is not valid. Property ''{1}'', value ''{0}'', object ''{2}''.

CTDM2210E = CTDM2210E : Invalid global DFDL annotations specified. ''{0}'', name ''{1}''.
CTDM2211E = CTDM2211E : Invalid DFDL annotations specified. ''{0}''
CTDM2212E = CTDM2212E : Invalid global DFDL annotations specified ''{0}''. Expected annotations are defineFormat, defineEscapeScheme, defineVariable.
CTDM2213E = CTDM2213E : Missing ref attribute for DFDL setVariable. Object ''{0}''.
CTDM2214E = CTDM2214E : Missing ref attribute for DFDL newVariableInstance. Object ''{0}''.
CTDM2215E = CTDM2215E : {0} 
CTDM2216E = CTDM2216E : Placement of DFDL annotation on complex type ''{0}'' is not valid.
CTDM2217E = CTDM2217E : Placement of DFDL annotation on model group definition ''{0}'' is not valid.

CTDM2220E = CTDM2220E : Invalid duplicate name for DFDL defineFormat annotation. Name ''{0}''.
CTDM2221E = not used 
CTDM2223E = not used 
CTDM2224E = CTDM2224E : Invalid duplicate name for DFDL defineEscapeScheme annotation. Name ''{0}''.
CTDM2225E = CTDM2225E : Invalid duplicate encoding property, specified in both element and attribute forms. Encoding ''{0}''.
CTDM2226E = CTDM2226E : Invalid duplicate name for DFDL defineVariable annotation. Name ''{0}''.
CTDM2227E = CTDM2227E : Invalid multiple DFDL setVariable with the same name in scope for object ''{0}'', variable name ''{1}''.
CTDM2228E = CTDM2228E : Invalid multiple DFDL newVariableInstance with the same name in scope for object ''{0}'', variable name ''{1}''.
CTDM2229aE = CTDM2229E : DFDL property value is defined both as attribute and element for defineVariable ''{0}'', property: ''{1}''
CTDM2229bE = CTDM2229E : DFDL property value is defined both as attribute and element. Object: ''{0}'', annotation, ''{1}'', name ''{2}'', property: ''{3}''

CTDM2230E = CTDM2230E : DFDL property ''{1}'' appears more than once for an object when scoping rules applied. Object ''{0}''.

CTDM2240E = CTDM2240E : A DFDL defineFormat annotation in the schema has an invalid or missing 'name' attribute.  
CTDM2241E = not used   
CTDM2242E = not used   
CTDM2243E = CTDM2243E : A DFDL defineEscapeScheme annotation in the schema has an invalid or missing 'name' attribute.  
CTDM2244E = CTDM2244E : A DFDL defineVariable annotation in the schema has an invalid or missing 'name' attribute.    

CTDM2250E = CTDM2250E : No element formats found with the selector ''{0}''. Object ''{1}''.
CTDM2251E = CTDM2251E : More than one format element found in defineFormat ''{0}''.
CTDM2252E = CTDM2252E : More than one format element found on object ''{0}''.
CTDM2253E = CTDM2253E : More than one DFDL schema default format found.
CTDM2254E = CTDM2254E : More than one discriminator annotation found on object ''{0}''.

CTDM2257E = CTDM2257E : The same DFDL property is defined in both attribute form and short form. Property ''{0}'', object ''{1}''.

##############################################################################
# Properties validation messages
##############################################################################
CTDM2401E = CTDM2401E : DFDL property ''{0}'' must be a positive integer.
CTDM2402E = CTDM2402E : DFDL property ''{0}'' must be a full single character or valid single character of DFDL entity that represents a single character.
CTDM2403E = CTDM2403E : ''{0}'' is not a valid DFDL entity or mnemonic. A valid entity must be of the following pattern [''%#'' [0-9]+ '';'' | ''%#x'' [0-9a-fA-F]+ '';'' | ''%#r'' [0-9a-fA-F] (2)'';''] and a valid mnemonic must follow [''%'' Name '';''] pattern.  
CTDM2404E = CTDM2404E : ''{0}'' is not a valid DFDL number pattern. Examples of valid patterns: ''+###,##0.00;(###,##0.00) ##0.##E0 #,#@# +###V##''
CTDM2405E = CTDM2405E : ''{0}'' is not a valid DFDL calendar pattern. 
CTDM2406E = CTDM2406E : ''{0}'' is not a valid DFDL property value. Value should be a non-negative integer or a DFDL expression.
CTDM2407E = CTDM2407E : ''{0}'' is not valid DFDL expression. Value should be a string enclosed by '{' and '}' braces.
CTDM2408E = CTDM2408E : ''{0}'' is not a valid list of space separated sign codes. Value must be a space separated list of four valid sign codes (example ''C D F C'')
CTDM2409E = CTDM2409E : ''{0}'' is not a valid time zone. Value must be in the form UTC[+|-[h]h[:mm]] (examples ''UTC'', ''UTC+1'', ''UTC-05:00'')
CTDM2410E = CTDM2410E : ''{0}'' is not a valid language identifier. Value must be in the form aaa[-bbb]* (examples ''en'', ''en-US'', ''zh-min-nan'')

##############################################################################
# Other strings
##############################################################################
String_Legal=legal
String_Valid=valid
String_Feature=feature
String_Property=property
Invalid_Value_Detail_Message=The DFDL property ''{0}'' of ''{1}'' contains a bad value ''{2}''
Invalid_Property_Detail_Message=DFDL property ''{0}'' is not expected.
Unbound_prefix_Message=The prefix ''{0}'' for ''{1}'' is not bound
Component_Message=Component ''{0}''.
propertyValidation_defaultMessage=DFDL property value is invalid.
propertyValidation_numberFormatError=DFDL property value should be a non-negative number.
propertyValueNotFound=DFDL property value not found.

